# keystoneauth1.identity.generic.token module

class keystoneauth1.identity.generic.token.Token(auth_url: str, token: str, *, tenant_id: str | None = None, tenant_name: str | None = None, project_id: str | None = None, project_name: str | None = None, project_domain_id: str | None = None, project_domain_name: str | None = None, domain_id: str | None = None, domain_name: str | None = None, system_scope: str | None = None, trust_id: str | None = None, default_domain_id: str | None = None, default_domain_name: str | None = None, reauthenticate: bool = True)

  Bases: `BaseGenericPlugin`

  Generic token auth plugin.

  Parameters:

    token (string) – Token for authentication.

  __abstractmethods__ = frozenset({})
  __annotate_func__ = None
  __annotations_cache__ = {}
  __doc__ = 'Generic token auth plugin.\n\n:param string token: Token for authentication.\n'
  __firstlineno__ = 21
  __init__(auth_url: str, token: str, *, tenant_id: str | None = None, tenant_name: str | None = None, project_id: str | None = None, project_name: str | None = None, project_domain_id: str | None = None, project_domain_name: str | None = None, domain_id: str | None = None, domain_name: str | None = None, system_scope: str | None = None, trust_id: str | None = None, default_domain_id: str | None = None, default_domain_name: str | None = None, reauthenticate: bool = True)
  __module__ = 'keystoneauth1.identity.generic.token'
  __static_attributes__ = ('_token',)
  _abc_impl = <_abc._abc_data object>
  create_plugin(session: Session, version: tuple[int | float, ...], url: str, raw_status: str | None = None) → None | Token | Token

    Create a plugin from the given parameters.

    This function will be called multiple times with the version and url of a potential endpoint. If a plugin can be constructed that fits the params then it should return it. If not return None and then another call will be made with other available URLs.

    Parameters:

      - session (keystoneauth1.session.Session) – A session object.

      - version (tuple) – A tuple of the API version at the URL.

      - url (str) – The base URL for this version.

      - raw_status (str) – The status that was in the discovery field.

    Returns:

      A plugin that can match the parameters or None if nothing.

  get_cache_id_elements() → dict[str, str | None]

    Get the elements for this auth plugin that make it unique.

    As part of the get_cache_id requirement we need to determine what aspects of this plugin and its values that make up the unique elements.

    This should be overridden by plugins that wish to allow caching.

    Returns:

      The unique attributes and values of this plugin.

    Return type:

      A flat dict with a str key and str or None value. This is required as we feed these values into a hash. Pairs where the value is None are ignored in the hashed id.

this page last updated: 2026-07-14 15:48:40

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug